import { Track } from '../base';
export declare function createRemoteStream(urlIn: string): Promise<import("node-fetch").Response>;
export declare function isURL(FileName: string): boolean;
export declare function guessAdapterFromFileName(filePath: string): Track;
export declare function supported(type: string): boolean;
/**
 * Generates metadata of index given a filename (trackId or assembly)
 * @param name -  assembly name or trackId
 * @param attributes -  attributes indexed
 * @param include -  feature types included from index
 * @param exclude -  feature types excluded from index
 * @param configs - list of track
 */
export declare function generateMeta({ configs, attributes, outDir, name, exclude, assemblyNames, }: {
    configs: Track[];
    attributes: string[];
    outDir: string;
    name: string;
    exclude: string[];
    assemblyNames: string[];
}): Promise<void>;
